maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Arnaud Héritier <arnaud.herit...@exoplatform.com>
Subject Re: [VOTE] Release Maven Indexer version 4.0.0
Date Wed, 12 Jan 2011 13:50:16 GMT
+1

On Wed, Jan 12, 2011 at 2:10 PM, Brett Porter <brett@apache.org> wrote:
>
> On 12/01/2011, at 11:33 PM, Tamás Cservenák wrote:
>
>> In short, it's the Maven3 model (vs Maven2.x model) + Aether (vs
>> maven-artifact 2.x) + Lucene 3.0.3 (vs Lucene 2.4.1) and MINDEXER-2 that
>> introduced some important API change.
>
> Sounds reasonable, I was just curious.
>
>>
>> For historical reasons (unfortunately), Indexer API contains Lucene classes,
>> hence library consumer is simply _forced_ to upgrade. This might cause
>> trouble if Lucene is used in other places too in same app. If you consider
>> "plain java" apps (neglect OSGi and related stuff), this change forces the
>> consuming app to change a _lot_ on it's classpath.
>
> Yes, I'm familiar with it ;)
>
> I should be able to test it a bit tomorrow.
>
> - Brett
>
> --
> Brett Porter
> brett@apache.org
> http://brettporter.wordpress.com/
> http://au.linkedin.com/in/brettporter
>
>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> For additional commands, e-mail: dev-help@maven.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message